<?php

// ========================================================================== //
//                                                                            //
//                         Программа телепередач, v1.0                        //
//                                                                            //
//                      Copyright (C) 2012 Preventiva LLC                     //
//                     http://www.instantcms.ru/users/Anor                    //
//                                                                            //
// ========================================================================== //

if (!defined('VALID_CMS')) {
    die('ACCESS DENIED');
}

function tv() {

    $inPage = cmsPage::getInstance();
    $inCore = cmsCore::getInstance();

    // Проверяем установлен ли компонент
    if (!$inCore->isComponentInstalled('tv')) {
        cmsCore::error404();
    }

    // Проверяем включен ли компонент
    $cfg = $inCore->loadComponentConfig('tv');
    if (!$cfg['component_enabled']) {
        cmsCore::error404();
    }

    cmsCore::loadModel('cms_model_tv');
    $model = cms_model_tv::getInstance();

    $pagetitle = 'Программа телепередач';
    $inPage->addPathway($pagetitle, '/tv');
    $inPage->setDescription('Программа телепередач');
    $inPage->setKeywords('Программа телепередач');

    $do = cmsCore::request('do', 'str', 'index');

// ========================================================================== //
    if ($do == 'index') {

        $inPage->setTitle($pagetitle);
        $smarty = $inCore->initSmarty('components', 'com_tv.tpl');
        $smarty->assign('title', $pagetitle);
        $smarty->assign('expiresLicense', $model->getExpiresLicense());
        $smarty->assign('isValidLicense', $model->isValidLicense());
        $smarty->assign('content', $model->viewChannels());
        $smarty->display('com_tv.tpl');
    }
// ========================================================================== //
    if ($do == 'edit') {

        $model->setChannels(cmsCore::request('channels', 'array'));
    }
// ========================================================================== //
    if ($do == 'all') {

        $pagetitle = 'Выбор телеканалов';
        $inPage->setDescription($pagetitle);
        $inPage->setKeywords($pagetitle);
        $inPage->setTitle($pagetitle);
        $inPage->addPathway($pagetitle, '/tv/all.html');
        $smarty = $inCore->initSmarty('components', 'com_tv.tpl');
        $smarty->assign('title', $pagetitle);
        $smarty->assign('content', $model->selectChannels());
        $smarty->display('com_tv.tpl');
    }
// ========================================================================== //
    if ($do == 'channelView') {

        $item_id = cmsCore::request('id', 'int', 0);
        $data = $model->viewChannel($item_id);
        $pagetitle = $data[0];
        $inPage->setDescription('Телепрограмма ' . $pagetitle);
        $inPage->setKeywords('Телепрограмма ' . $pagetitle);
        $inPage->setTitle('Телепрограмма ' . $pagetitle);
        $inPage->addPathway($pagetitle, '/tv/' . $item_id . '.html');
        $smarty = $inCore->initSmarty('components', 'com_tv.tpl');
        $smarty->assign('content', $data[1]);
        $smarty->display('com_tv.tpl');
    }
// ========================================================================== //
    if ($do == 'day') {

        $item_id = $inCore->request('id', 'int', 0);
        $data = $model->viewDayChannels($item_id);
        $pagetitle = $data[0];
        $inPage->setDescription('Телепрограмма на ' . $pagetitle);
        $inPage->setKeywords('Телепрограмма на ' . $pagetitle);
        $inPage->setTitle('Телепрограмма на ' . $pagetitle);
        $inPage->addPathway(mb_strtoupper($pagetitle), '/tv/day' . $item_id . '.html');
        $smarty = $inCore->initSmarty('components', 'com_tv.tpl');
        $smarty->assign('content', $data[1]);
        $smarty->display('com_tv.tpl');
    }
// ========================================================================== //
    if ($do == 'announcement') {

        $item_id = $inCore->request('id', 'int', 0);
        $data = $model->viewAnnouncementFilm($item_id);
        $pagetitle = $data[0];
        $inPage->setDescription($pagetitle);
        $inPage->setKeywords($pagetitle);
        $inPage->setTitle($pagetitle);
        $inPage->addPathway($pagetitle, '/tv/' . $item_id . '_announcement.html');
        $smarty = $inCore->initSmarty('components', 'com_tv.tpl');
        $smarty->assign('title', '');
        $smarty->assign('content', $data[1]);
        $smarty->display('com_tv.tpl');
    }
// ========================================================================== //
}